
User Interface - Feature #1804

add missing UI attributes

10/30/2012 11:59 AM - Greg Shah

Status: Closed Start date: 02/18/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Subtasks:

Feature # 2007: conversion support for attributes Closed

Feature # 2008: runtime support for attributes in GUI Closed

Feature # 2146: add support for FIRST-TAB-ITEM/NEXT-TAB-ITEM attributes (needed for ser... Closed

Related issues:

Related to User Interface - Feature #3037: implement FRAME:NEXT-TAB-ITEM runt... New

History

#1 - 10/31/2012 02:50 PM - Greg Shah

- Target version set to Milestone 12

#2 - 02/18/2013 06:48 PM - Greg Shah

The following are high priority:

FIRST-TAB-ITEM

NEXT-TAB-ITEM

HWND

#3 - 02/21/2013 06:24 AM - Eugenie Lyzenko

- File evl_upd20130221a.zip added

- File ui_attr_test.p.20130221a.zip added

Adding conversion support for

FIRST-TAB-ITEM

NEXT-TAB-ITEM

HWND

UI attributes.

#4 - 02/21/2013 05:20 PM - Greg Shah

Feedback:

1. methods_attributes.rules is missing a history entry.

2. Please use HWND instead of HWnd in method names (e.g. getHWND() instead of getHWnd()).
Otherwise this looks fine.

#5 - 02/21/2013 06:06 PM - Eugenie Lyzenko

- File evl_upd20130221b.zip added

The refresh for drop has been uploaded.

#6 - 02/22/2013 01:26 PM - Greg Shah

Please merge with the latest bzr revision and upload for a final review.  Then we will go into conversion testing (runtime testing will be deferrred).

#7 - 02/22/2013 02:10 PM - Eugenie Lyzenko

- File evl_upd20130222b.zip added

Merged with latest bzr uploaded.

#8 - 02/22/2013 02:21 PM - Greg Shah

Is this also merged with the #2005 changes?  I want them both in the same update.

#9 - 02/22/2013 02:43 PM - Eugenie Lyzenko

- File evl_upd20130222c.zip added

The merged version combined with #2005 changes has been uploaded.

#10 - 02/22/2013 02:46 PM - Greg Shah

Looks great.  It is going into testing now.

#11 - 02/22/2013 04:04 PM - Greg Shah

Testing passed.  Please check it in and distribute the update. ASAP.

#12 - 02/22/2013 04:12 PM - Eugenie Lyzenko

The update evl_upd20130222c.zip has been committed in bzr as 10188.

#13 - 05/02/2013 07:34 PM - Greg Shah

The HWND can be avoided for the server project.  It is only used in common/aspllpr2.p:

00222          IF "TTY" = "TTY" 

00223          THEN ASSIGN     iv-hwnd = 0.

00224          ELSE ASSIGN     iv-hwnd = CURRENT-WINDOW:HWND.

 

Because of preprocessing, the iv-hwnd will always be 0 on the server (which makes sense, since it is not interactive and the HWND value is only

important for interactive cases).

#14 - 03/23/2016 12:09 PM - Greg Shah

I know that HWND is not supported and we won't be implementing it since there is no analog in Swing/Web.
Constantin: I think our FIRST-TAB-ITEM/NEXT-TAB-ITEM implementation is complete, right?  I see that GenericWidget reports

UnimplementedFeature.unsupported() but that is OK since FieldGroup does support it fully, if I understand correctly.

#15 - 03/23/2016 12:15 PM - Constantin Asofiei

Greg Shah wrote:

I know that HWND is not supported and we won't be implementing it since there is no analog in Swing/Web.

Constantin: I think our FIRST-TAB-ITEM/NEXT-TAB-ITEM implementation is complete, right?  I see that GenericWidget reports

UnimplementedFeature.unsupported() but that is OK since FieldGroup does support it fully, if I understand correctly.

 

The only part is missing is FRAME:NEXT-TAB-ITEM.

#16 - 03/23/2016 12:51 PM - Greg Shah

It is used in the customer's GUI app...

I'm going to create a new task for that.  We'll need to do that soon.

#17 - 03/23/2016 12:52 PM - Greg Shah

- Status changed from New to Closed

#18 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20130221a.zip 139 KB 02/21/2013 Eugenie Lyzenko

ui_attr_test.p.20130221a.zip 329 Bytes 02/21/2013 Eugenie Lyzenko

evl_upd20130221b.zip 139 KB 02/21/2013 Eugenie Lyzenko

evl_upd20130222b.zip 140 KB 02/22/2013 Eugenie Lyzenko

evl_upd20130222c.zip 140 KB 02/22/2013 Eugenie Lyzenko
